/**
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.11
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2019.02.12 at 11:35:36 AM CET
//


package fr.gouv.vitamui.commons.vitam.seda;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Objet-données numérique.
 *
 * Métadonnées techniques minimales : URI, Digest, Poids.
 *
 * <p>Java class for BinaryDataObjectType complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="BinaryDataObjectType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{fr:gouv:culture:archivesdefrance:seda:v2.1}MinimalDataObjectType"&gt;
 *       &lt;sequence&gt;
 *         &lt;group ref="{fr:gouv:culture:archivesdefrance:seda:v2.1}MinimalBinaryDataObjectGroup" minOccurs="0"/&gt;
 *         &lt;element name="Compressed" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;simpleContent&gt;
 *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema&gt;string"&gt;
 *                 &lt;attribute name="algorithm" use="required" type="{fr:gouv:culture:archivesdefrance:seda:v2.1}CompressionAlgorithmType" /&gt;
 *                 &lt;attribute name="uncompressedSize" use="required" type="{fr:gouv:culture:archivesdefrance:seda:v2.1}SizeInBytesType" /&gt;
 *               &lt;/extension&gt;
 *             &lt;/simpleContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;group ref="{fr:gouv:culture:archivesdefrance:seda:v2.1}BinaryTechnicalDescriptionGroup"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BinaryDataObjectType", propOrder = {
    "attachment",
    "uri",
    "messageDigest",
    "size",
    "compressed",
    "formatIdentification",
    "fileInfo",
    "metadata",
    "otherMetadata"
})
public class BinaryDataObjectType
    extends MinimalDataObjectType
{

    @XmlElement(name = "Attachment")
    protected BinaryObjectType attachment;
    @XmlElement(name = "Uri")
    @XmlSchemaType(name = "anyURI")
    protected String uri;
    @XmlElement(name = "MessageDigest")
    protected MessageDigestBinaryObjectType messageDigest;
    @XmlElement(name = "Size")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger size;
    @XmlElement(name = "Compressed")
    protected BinaryDataObjectType.Compressed compressed;
    @XmlElement(name = "FormatIdentification")
    protected FormatIdentificationType formatIdentification;
    @XmlElement(name = "FileInfo")
    protected FileInfoType fileInfo;
    @XmlElement(name = "Metadata")
    protected CoreMetadataType metadata;
    @XmlElement(name = "OtherMetadata")
    protected DescriptiveTechnicalMetadataType otherMetadata;

    /**
     * Gets the value of the attachment property.
     *
     * @return
     *     possible object is
     *     {@link BinaryObjectType }
     *
     */
    public BinaryObjectType getAttachment() {
        return attachment;
    }

    /**
     * Sets the value of the attachment property.
     *
     * @param value
     *     allowed object is
     *     {@link BinaryObjectType }
     *
     */
    public void setAttachment(BinaryObjectType value) {
        this.attachment = value;
    }

    /**
     * Gets the value of the uri property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getUri() {
        return uri;
    }

    /**
     * Sets the value of the uri property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setUri(String value) {
        this.uri = value;
    }

    /**
     * Gets the value of the messageDigest property.
     *
     * @return
     *     possible object is
     *     {@link MessageDigestBinaryObjectType }
     *
     */
    public MessageDigestBinaryObjectType getMessageDigest() {
        return messageDigest;
    }

    /**
     * Sets the value of the messageDigest property.
     *
     * @param value
     *     allowed object is
     *     {@link MessageDigestBinaryObjectType }
     *
     */
    public void setMessageDigest(MessageDigestBinaryObjectType value) {
        this.messageDigest = value;
    }

    /**
     * Gets the value of the size property.
     *
     * @return
     *     possible object is
     *     {@link BigInteger }
     *
     */
    public BigInteger getSize() {
        return size;
    }

    /**
     * Sets the value of the size property.
     *
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *
     */
    public void setSize(BigInteger value) {
        this.size = value;
    }

    /**
     * Gets the value of the compressed property.
     *
     * @return
     *     possible object is
     *     {@link BinaryDataObjectType.Compressed }
     *
     */
    public BinaryDataObjectType.Compressed getCompressed() {
        return compressed;
    }

    /**
     * Sets the value of the compressed property.
     *
     * @param value
     *     allowed object is
     *     {@link BinaryDataObjectType.Compressed }
     *
     */
    public void setCompressed(BinaryDataObjectType.Compressed value) {
        this.compressed = value;
    }

    /**
     * Gets the value of the formatIdentification property.
     *
     * @return
     *     possible object is
     *     {@link FormatIdentificationType }
     *
     */
    public FormatIdentificationType getFormatIdentification() {
        return formatIdentification;
    }

    /**
     * Sets the value of the formatIdentification property.
     *
     * @param value
     *     allowed object is
     *     {@link FormatIdentificationType }
     *
     */
    public void setFormatIdentification(FormatIdentificationType value) {
        this.formatIdentification = value;
    }

    /**
     * Gets the value of the fileInfo property.
     *
     * @return
     *     possible object is
     *     {@link FileInfoType }
     *
     */
    public FileInfoType getFileInfo() {
        return fileInfo;
    }

    /**
     * Sets the value of the fileInfo property.
     *
     * @param value
     *     allowed object is
     *     {@link FileInfoType }
     *
     */
    public void setFileInfo(FileInfoType value) {
        this.fileInfo = value;
    }

    /**
     * Gets the value of the metadata property.
     *
     * @return
     *     possible object is
     *     {@link CoreMetadataType }
     *
     */
    public CoreMetadataType getMetadata() {
        return metadata;
    }

    /**
     * Sets the value of the metadata property.
     *
     * @param value
     *     allowed object is
     *     {@link CoreMetadataType }
     *
     */
    public void setMetadata(CoreMetadataType value) {
        this.metadata = value;
    }

    /**
     * Gets the value of the otherMetadata property.
     *
     * @return
     *     possible object is
     *     {@link DescriptiveTechnicalMetadataType }
     *
     */
    public DescriptiveTechnicalMetadataType getOtherMetadata() {
        return otherMetadata;
    }

    /**
     * Sets the value of the otherMetadata property.
     *
     * @param value
     *     allowed object is
     *     {@link DescriptiveTechnicalMetadataType }
     *
     */
    public void setOtherMetadata(DescriptiveTechnicalMetadataType value) {
        this.otherMetadata = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     *
     * <p>The following schema fragment specifies the expected content contained within this class.
     *
     * <pre>
     * &lt;complexType&gt;
     *   &lt;simpleContent&gt;
     *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema&gt;string"&gt;
     *       &lt;attribute name="algorithm" use="required" type="{fr:gouv:culture:archivesdefrance:seda:v2.1}CompressionAlgorithmType" /&gt;
     *       &lt;attribute name="uncompressedSize" use="required" type="{fr:gouv:culture:archivesdefrance:seda:v2.1}SizeInBytesType" /&gt;
     *     &lt;/extension&gt;
     *   &lt;/simpleContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     *
     *
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class Compressed {

        @XmlValue
        protected String value;
        @XmlAttribute(name = "algorithm", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String algorithm;
        @XmlAttribute(name = "uncompressedSize", required = true)
        protected BigInteger uncompressedSize;

        /**
         * Gets the value of the value property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setValue(String value) {
            this.value = value;
        }

        /**
         * Gets the value of the algorithm property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getAlgorithm() {
            return algorithm;
        }

        /**
         * Sets the value of the algorithm property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setAlgorithm(String value) {
            this.algorithm = value;
        }

        /**
         * Gets the value of the uncompressedSize property.
         *
         * @return
         *     possible object is
         *     {@link BigInteger }
         *
         */
        public BigInteger getUncompressedSize() {
            return uncompressedSize;
        }

        /**
         * Sets the value of the uncompressedSize property.
         *
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *
         */
        public void setUncompressedSize(BigInteger value) {
            this.uncompressedSize = value;
        }

    }

}
